Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.tap
Class TapEvent

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<H>
              com.maryanovsky.gwtutils.client.event.SyntheticEvent<H,E>
                  com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.SyntheticTouchGestureEvent<TapHandler,TouchEndEvent>
                      com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.tap.TapEvent

    public class TapEvent

extends SyntheticTouchGestureEvent<TapHandler,TouchEndEvent>

Represents a tap event.

Author:
  Maryanovsky Alexander

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`GwtEvent.Type<H>`

Constructor Summary
`TapEvent(TouchEndEvent evt, int tapCount, PointView tapLocation)` Creates a new `TapEvent` from the specified source `TouchEndEvent`, tap count and tap location.

Method Summary
`protected void` | `dispatch(TapHandler handler)` Dispatches the event to the handler.
`GwtEvent.Type<TapHandler>` | `getAssociatedType()` Returns the event type associated with tap events.
`int` | `getTapCount()` Returns the number of taps that have occurred.
`PointView` | `getTapLocation()` Returns the location of the tap(s), in the target element's coordinate system.
`static GwtEvent.Type<TapHandler>` | `getType()` Returns the event type associated with tap events.

Methods inherited from class com.maryanovsky.gwtutils.client.event.SyntheticEvent
`getSourceEvent`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TapEvent

    public TapEvent(TouchEndEvent evt,
                    int tapCount,
                    PointView tapLocation)

  Creates a new `TapEvent` from the specified source `TouchEndEvent`, tap count and tap location.

  Parameters:
    `evt` - The touch end event that triggered this event.
    `tapCount` - The number of taps that have occurred.
    `tapLocation` - The location of the tap(s), in the target element's coordinate system.

Method Detail

### getTapCount

    public int getTapCount()

  Returns the number of taps that have occurred.

### getTapLocation

    public PointView getTapLocation()

  Returns the location of the tap(s), in the target element's coordinate system.

### getType

    public static GwtEvent.Type<TapHandler> getType()

  Returns the event type associated with tap events.

### getAssociatedType

    public GwtEvent.Type<TapHandler> getAssociatedType()

  Returns the event type associated with tap events.

  Overrides:
    `getAssociatedType` in class `GwtEvent<TapHandler>`

### dispatch

    protected void dispatch(TapHandler handler)

  Dispatches the event to the handler.

  Specified by:
    `dispatch` in class `GwtEvent<TapHandler>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD